package com.lightinit.hsdatagateway.common.exceptions;

import com.lightinit.hsdatagateway.constant.ExceptionEnum;

/**
 * 不在有效时间内异常
 */
public class OverTimeException extends BaseException{

    public OverTimeException() {
        super("不在有效范围内", ExceptionEnum.OVERTIME.getCode());
    }

    public OverTimeException(String message) {
        super(message, ExceptionEnum.OVERTIME.getCode());
    }

    public OverTimeException(String message, String code) {
        super(message, code);
    }

}
